events.listen('recipes', (event) => {
	
    var recipes = [
        shapelessRecipe('kubejs:unstable_endershard', ['druidcraft:moonstone', 'charm:endermite_powder', ['mysticalworld:young_pearl', 'forbidden_arcanus:ender_pearl_fragment'], 'druidcraft:amber']),
		
		shapelessRecipe('cyclic:ender_pearl_mounted', ['cyclic:ender_pearl_reuse', 'minecraft:saddle']),
		shapelessRecipe('cyclic:apple_chocolate', ['cyclic:apple_honey', 'create:bar_of_chocolate', 'pamhc2foodcore:freshmilkitem']),
		
		shapelessRecipe('industrialforegoing:plastic', ['pneumaticcraft:plastic', 'pneumaticcraft:plastic', 'pneumaticcraft:plastic']),
		
		shapelessRecipe('eidolon:pewter_blend', ['#forge:ingots/quicksilver', '#forge:ingots/lead']),
		
		shapelessRecipe('resourcefulbees:wax', 'charm:beeswax'),
		
		shapelessRecipe(Item.of('minecraft:leather', 3), 'cnb:yeti_hide'),
		
		shapelessRecipe(Item.of('pamhc2foodcore:doughitem', 2), ['create:dough', 'pamhc2foodcore:saltitem', 'pamhc2foodcore:mixingbowlitem']),
		
		shapelessRecipe('minecraft:chest', '#forge:chests/wooden'),
		
		shapelessRecipe('mysticalworld:copper_ore', 'create:copper_ore'),
		
		shapelessRecipe('minecraft:barrel', [['#forge:barrels/wooden', '#charm:barrels']]),
		
		shapelessRecipe('minecraft:crafting_table', [['#forge:workbench', '/betterendforge:.+_crafting_table/', 'gaiadimension:agate_crafting_table']]),
		
		shapelessRecipe(Item.of('upgrade_aquatic:driftwood_planks', 4), 'aquaculture:driftwood'),
		
		shapelessRecipe('mysticalworld:nautilus_horn', ['minecraft:flint', 'minecraft:nautilus_shell']),
		
		shapelessRecipe('charm:candle', ['resourcefulbees:wax', '#forge:string']),
		
		shapelessRecipe('ironfurnaces:rainbow_coal', ['kubejs:uninspiring_rainbow_chunk', 'immersiveengineering:coal_coke']),
		
		shapelessRecipe(Item.of('pamhc2foodcore:saltitem', 4), 'gaiadimension:salt'),
		
		shapelessRecipe('craftingstation:crafting_station', 'tconstruct:crafting_station'),
		
		//tallows
		
		shapelessRecipe('quark:tallow', 'eidolon:tallow'),
		
		shapelessRecipe('quark:tallow', 'occultism:tallow'),
		
		//silt
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', ['kubejs:claw', 'bountifulbaubles:bezoar']]),
		
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', ['#artifacts:artifacts']]),
		
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', ['/statues:.+_statue/']]),
		
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', ['#relicex:necklace_relic', '#relicex:body_relic', '#relicex:head_relic', '#relicex:ring_relic']]),
		
		shapelessRecipe('bountifulbaubles:spectral_silt', ['bountifulbaubles:disintegration_tablet', [Ingredient.of(['@relics']).filter(Ingredient.of(['/relics:.+_ingot/', '/relics:chalk/', 'relics:flaming_amber_geode', 'relics:flaming_amber_dust', 'relics:chrysolite', '/relics:rune.+/', 'relics:blank_rune', '/relics:.+scrap/', 'relics:pedestal', 'relics:runic_altar', 'relics:runic_anvil', '/relics:runic_hammer/', 'relics:coal_parchment', 'relics:relic_contract', 'relics:bloody_feather', 'relics:bloody_lectern']).not())]]),
		
		//i&f metal converter
		shapelessRecipe('mysticalworld:copper_ingot', 'iceandfire:copper_ingot'),
		shapelessRecipe('mysticalworld:copper_nugget', 'iceandfire:copper_nugget'),
		
		shapelessRecipe('mysticalworld:silver_ingot', 'iceandfire:silver_ingot'),
		shapelessRecipe('mysticalworld:silver_nugget', 'iceandfire:silver_nugget'),
		
		shapelessRecipe('mysticalworld:silver_ore', 'iceandfire:silver_ore'),
		shapelessRecipe('mysticalworld:copper_ore', 'iceandfire:copper_ore'),
		
		//eidolon metal converter
		shapelessRecipe('mysticalworld:lead_ingot', 'eidolon:lead_ingot'),
		shapelessRecipe('eidolon:lead_ingot', 'mysticalworld:lead_ingot'),
		shapelessRecipe('mysticalworld:lead_nugget', 'eidolon:lead_nugget'),
		shapelessRecipe(Item.of('mysticalworld:lead_ingot', 9), 'eidolon:lead_block')
    ];

    recipes.forEach(function (recipe) {
        event.shapeless(recipe.result, recipe.ingredients);
    });
});
